## libgtkmozembed 1.8.7-2.3+0m5

=== debian/changelog ===
libgtkmozembed (1.8.7-2.3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.8.7-2.3+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 20:22:02 +0300

libgtkmozembed (1.8.7-2.3) unstable; urgency=low

  * (From 1.8.9-4) Fixes: NB#162688 - browser components recompilation
    with G_DISABLE_CAST_CHEKS

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 15:26:04 +0300

libgtkmozembed (1.8.7-2.2) unstable; urgency=low

  * (From 1.8.9-5) Fixes: NB#162980 - Sync up engine to last mozilla 1.9.2

 -- Andrey Petrov <andrey.petrov@nokia.com>  Tue, 13 Apr 2010 11:41:03 +0300
