=== debian/control ===
Source: libgtkmozembed
Section: libs
Priority: optional
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 20100401-1.9.2), libgtk2.0-dev, libosso-gnomevfs2-dev, quilt, bc, libidl-dev, libhildon1-dev | hildon-libs-dev, libosso-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev
Standards-Version: 3.6.0

Package: libgtkmozembed-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtkmozembed (>= ${Source-Version})
Description: Mozilla Web Engine.

Package: libgtkmozembed
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, softpkcs11 | libnss3, microb-engine (>= 20090912-1.9.2)
Description: Mozilla Web Engine.

Package: libgtkmozembed-dbg
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, libgtkmozembed (= ${Source-Version})
Description: Mozilla Web Engine.
